Intermittent shutil.Error: [('/usr/lib/python2.7/lib-dynload/_codecs_jp.x86_64-linux-gnu.so', '/builds/worker/workspace/build/venv/lib/python2.7/lib-dynload/_codecs_jp.x86_64-linux-gnu.so', '[Errno 5] Input/output error')]

RESOLVED INCOMPLETE

Status

Release Engineering
General Automation
P5
normal
RESOLVED INCOMPLETE
a month ago
an hour ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

a month ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=138053643&repo=autoland

https://queue.taskcluster.net/v1/task/dE5qa27NS_KovnYNmRrPQw/runs/0/artifacts/public/logs/live_backing.log

[task 2017-10-19T03:00:04.327Z] 03:00:04     INFO - Running command: ['/usr/bin/python2.7', '/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py', '--always-copy', '/builds/worker/workspace/build/venv'] in /builds/worker/workspace/build
[task 2017-10-19T03:00:04.330Z] 03:00:04     INFO - Copy/paste: /usr/bin/python2.7 /builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py --always-copy /builds/worker/workspace/build/venv
[task 2017-10-19T03:00:04.332Z] 03:00:04     INFO - Using partial env: {'VIRTUALENV_NO_DOWNLOAD': '1'}
[task 2017-10-19T03:00:37.660Z] 03:00:37    ERROR -  Traceback (most recent call last):
[task 2017-10-19T03:00:37.666Z] 03:00:37     INFO -    File "/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py", line 2325, in <module>
[task 2017-10-19T03:00:37.668Z] 03:00:37     INFO -      main()
[task 2017-10-19T03:00:37.670Z] 03:00:37     INFO -    File "/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py", line 711, in main
[task 2017-10-19T03:00:37.673Z] 03:00:37     INFO -      symlink=options.symlink and hasattr(os, 'symlink')) # MOZ: Make sure we don't use symlink when we don't have it
[task 2017-10-19T03:00:37.675Z] 03:00:37     INFO -    File "/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py", line 924, in create_environment
[task 2017-10-19T03:00:38.281Z] 03:00:38     INFO -      site_packages=site_packages, clear=clear, symlink=symlink))
[task 2017-10-19T03:00:38.285Z] 03:00:38     INFO -    File "/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py", line 1119, in install_python
[task 2017-10-19T03:00:38.287Z] 03:00:38     INFO -      copyfile(join(stdlib_dir, fn), join(lib_dir, fn), symlink)
[task 2017-10-19T03:00:38.289Z] 03:00:38     INFO -    File "/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py", line 355, in copyfile
[task 2017-10-19T03:00:38.293Z] 03:00:38     INFO -      copyfileordir(src, dest, symlink)
[task 2017-10-19T03:00:38.295Z] 03:00:38     INFO -    File "/builds/worker/workspace/mozharness/external_tools/virtualenv/virtualenv.py", line 327, in copyfileordir
[task 2017-10-19T03:00:38.297Z] 03:00:38     INFO -      shutil.copytree(src, dest, symlink)
[task 2017-10-19T03:00:38.300Z] 03:00:38     INFO -    File "/usr/lib/python2.7/shutil.py", line 208, in copytree
[task 2017-10-19T03:00:38.306Z] 03:00:38     INFO -      raise Error, errors
[task 2017-10-19T03:00:38.310Z] 03:00:38     INFO -  shutil.Error: [('/usr/lib/python2.7/lib-dynload/_codecs_jp.x86_64-linux-gnu.so', '/builds/worker/workspace/build/venv/lib/python2.7/lib-dynload/_codecs_jp.x86_64-linux-gnu.so', '[Errno 5] Input/output error')]
[task 2017-10-19T03:00:38.312Z] 03:00:38    ERROR - Return code: 1
Given Buildduty manifesto[1], this seems like an error that doesn't fall on Buildduty's plate.
Moving this over to General Automation for now, until we find a more suited owner.
Please move back if I'm wrong.
Component: Buildduty → General Automation
[1]: https://wiki.mozilla.org/ReleaseEngineering/Buildduty_manifesto#Things_Buildduty_isn.E2.80.99t_responsible_for

Comment 3

28 days ago
6 failures in 864 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 6

Platform breakdown:
* linux64: 3
* osx-10-10: 2
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1409997&startday=2017-10-16&endday=2017-10-22&tree=all
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: an hour ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.